redi::pstreams(3)

NAME
redi::pstreams -

Common base class providing constants and typenames.

SYNOPSIS

#include <pstream.h>

Inherited by redi::basic_ipstream< CharT, Traits > [virtual], redi::basic_opstream< CharT, Traits > [virtual], redi::basic_pstream< CharT, Traits > [virtual], redi::basic_pstreambuf< CharT, Traits >, redi::basic_rpstream< CharT, Traits > [virtual], and redi::pstream_common< CharT, Traits > [virtual].

  Public Types

typedef std::ios_base::openmode pmode
Type used to specify how to connect to the process.
typedef std::vector< std::string > argv_type
Type used to hold the arguments for a command.
typedef int fd_type
Type used for file descriptors.

  Static Public Attributes

static const pmode pstdin = std::ios_base::out
Write to stdin.
static const pmode pstdout = std::ios_base::in
Read from stdout.
static const pmode pstderr = std::ios_base::app
Read from stderr.

  Protected Types

enum { bufsz = 32 }
enum { pbsz = 2 }

Detailed Description

Common base class providing constants and typenames.

Author

Generated automatically by Doxygen for PStreams from the source code.